| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
CHIP: LPC18xx/43xx State Configurable Timer driver
LPC18xx/43xx chip specific drivers

## Detailed Description

## Functions
void | Chip_SCT_Init (LPC_SCT_T *pSCT)
| Initialize SCT.
void | Chip_SCT_DeInit (LPC_SCT_T *pSCT)
| Shutdown SCT.
STATIC INLINE void | Chip_SCT_Config (LPC_SCT_T *pSCT, uint32_t value)
| Configure SCT.
STATIC INLINE void | Chip_SCT_ControlSetClr (LPC_SCT_T *pSCT, uint32_t value, FunctionalState ena)
| Set or Clear the Control register.
STATIC INLINE void | Chip_SCT_ConflictResolutionSet (LPC_SCT_T *pSCT, uint8_t outnum, uint8_t value)
| Set the conflict resolution.
STATIC INLINE void | Chip_SCT_EventFlagClear (LPC_SCT_T *pSCT, uint8_t even_num)
| Clear the SCT event flag.

## Function Documentation

STATIC INLINE void Chip_SCT_Config | ( | LPC_SCT_T * | pSCT,
|  | uint32_t | value
| ) |  |

Configure SCT.

Parameters

  pSCT | : Pointer to SCT register block
  value | : SCT Configuration register value

Returns
  Nothing Initialise the SCT configuration register with value

Definition at line 65 of file sct_18xx_43xx.h.

STATIC INLINE void Chip_SCT_ConflictResolutionSet | ( | LPC_SCT_T * | pSCT,
|  | uint8_t | outnum,
|  | uint8_t | value
| ) |  |

Set the conflict resolution.

Parameters

  pSCT | : Pointer to SCT register block
  outnum | : Output number
  value | : Output value SCT_RES_NOCHANGE :No change

- SCT_RES_SET_OUTPUT :Set output
- SCT_RES_CLEAR_OUTPUT :Clear output
- SCT_RES_TOGGLE_OUTPUT :Toggle output : SCT_RES_NOCHANGE : DISABLE - To clear the field specified by value
  Returns
    Nothing Set conflict resolution for the output outnum

Definition at line 101 of file sct_18xx_43xx.h.

STATIC INLINE void Chip_SCT_ControlSetClr | ( | LPC_SCT_T * | pSCT,
|  | uint32_t | value,
|  | FunctionalState | ena
| ) |  |

Set or Clear the Control register.

Parameters

  pSCT | : Pointer to SCT register block
  value | : SCT Control register value
  ena | : ENABLE - To set the fields specified by value : DISABLE - To clear the field specified by value

Returns
  Nothing Set or clear the control register bits as specified by the value parameter. If ena is set to ENABLE, the mentioned register fields will be set. If ena is set to DISABLE, the mentioned register fields will be cleared

Definition at line 82 of file sct_18xx_43xx.h.

void Chip_SCT_DeInit | ( | LPC_SCT_T * | pSCT | ) |

Shutdown SCT.

Parameters

  pSCT | : Pointer to SCT register block

Returns
  Nothing

Definition at line 56 of file sct_18xx_43xx.c.

STATIC INLINE void Chip_SCT_EventFlagClear | ( | LPC_SCT_T * | pSCT,
|  | uint8_t | even_num
| ) |  |

Clear the SCT event flag.

Parameters

  pSCT | : Pointer to SCT register block
  even_num | : SCT Event number

Returns
  Nothing Clear the SCT event flag for the specified event even_num

Definition at line 113 of file sct_18xx_43xx.h.

void Chip_SCT_Init | ( | LPC_SCT_T * | pSCT | ) |

Initialize SCT.

Parameters

  pSCT | : Pointer to SCT register block

Returns
  Nothing

Definition at line 50 of file sct_18xx_43xx.c.